Blacklists a User.

Prev Next
Post
/blacklist

Blacklists a User.

Security
HTTP
Type bearer
Body parameters

Blacklisting details

object
userDistinguishedName
string

Distinguished name of a user. Format: "CN=,OU="

ExampleCN=user,OU=ldap
username
string

The username, same as the one in the user Distinguished Name.

Exampleuser
providerName
string

The provider name of the user, same as the one in the user Distinguished Name.

Exampleldap
reason
string

The reason for blacklisting. The value is stored and logged.

ExampleUser's machine is compromised.
Responses
200

User was blacklisted successfully.

object
userDistinguishedName
string

Distinguished name of a user. Format: "CN=,OU="

ExampleCN=user,OU=ldap
username
string

The username, same as the one in the user Distinguished Name.

Exampleuser
providerName
string

The provider name of the user, same as the one in the user Distinguished Name.

Exampleldap
blacklistedAt
string (date-time)

The date and time of the blacklisting.

reason
string

The reason for blacklisting. The value is stored and logged.

ExampleUser's machine is compromised.
400

JSON error. Check the JSON format.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

401

Token error. Login again.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

403

Insufficient permissions to access this resource.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

406

Invalid 'Accept' header.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.

422

Request validation error. Check "errors" array for details.

Expand All
object

Http 422 error for object validation.

id
string

Machine readable error code.

message
string

Human readable error details.

errors
Array of object

List of fields with validation errors.

object
field
string

Name of the field that failed validation.

Examplename
message
string

Failure reason.

Examplemay not be null
500

Unexpected server side error.

object

Generic HTTP error.

id
string

Machine readable error code.

message
string

Human readable error details.